--- title: "DB Connection check (VPC)" slug: "analytics-cloudsearch-postdbuploadcheckconnectionvpc" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-postdbuploadcheckconnectionvpc" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # DB Connection check (VPC) Check the connection before executing the DB upload function in the domain. ``` POST https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/db_upload/check_connection/vpc?region=KR ``` ## Requests ### Request parameters | Parameter name | Required | Type | Service limits | Description | | --- | --- | --- | --- | --- | | region | Yes | string | Region code | DB server installed Region code | ### Request bodies | Parameter name | Required | Type | Service limits | Description | | --- | --- | --- | --- | --- | | dbKind | Yes | String | mysql, mariadb | DB type | | host | Yes | String | | DB Instance ID | | port | Yes | Integer | | DB port | | user | Yes | String | | User ID | | password | Yes | String | | Password | | db | Yes | String | | Database name | | charset | Yes | String | | DB character | | connectTimeout | Yes | Int | | connection timeout, unit second | ## Responses ### Response Status | HTTP Status | Desc | | --- | --- | | 200 | OK (View complete) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request examples ``` POST /CloudSearch/real/v1/db_upload/check_connection/vpc Host: cloudsearch.apigw.ntruss.com Content-Type: application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi { "dbKind": "mysql", "host": "1122244", "port": 3306, "user": "root", "password": "alskdj", "db": "cloud_search", "charset": "utf8", "connectTimeout": 4, } ``` ### Response examples ``` {"result":"ok"} ```